Bug 109550 - lang/python25 does not install /usr/local/bin/python
Summary: lang/python25 does not install /usr/local/bin/python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-26 07:40 UTC by David Yeske
Modified: 2009-07-14 10:30 UTC (History)
0 users

See Also:


Attachments
python24-symlink.diff (954 bytes, patch)
2007-10-22 18:23 UTC, Tom McLaughlin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Yeske 2007-02-26 07:40:03 UTC
lang/python25 does not install /usr/local/bin/python.  If a user only has python25 installed then it should install /usr/local/bin/python.

Fix: 

I'm not sure of a clean solution.
How-To-Repeat: install lang/python25, observe /usr/local/bin/python is not created
Comment 1 Edwin Groothuis freebsd_committer 2007-02-26 07:40:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->python

Over to maintainer
Comment 2 Alexander Botero-Lowry freebsd_committer 2007-02-26 07:57:47 UTC
Responsible Changed
From-To: python->alexbl

I will take it.
Comment 3 Alexander Botero-Lowry freebsd_committer 2007-10-12 23:28:28 UTC
Responsible Changed
From-To: alexbl->python

Pass this over to python@ so it can recieve more public scrutiny
Comment 4 Josh Paetzel <josh@tcbug.org> 2007-10-21 18:54:27 UTC
This is no longer an issue per sae since the change of
PYTHON_DEFAULT_VERSION to 2.5 means that lang/python25 does now
install the symlink to python.

The root problem still remains, it's just been moved.  now
lang/python24 won't install a symlink to python if it's the only
version of python installed.

This is probably more of a documentation or perhaps POLA violation
though.  In order to install multiple versions simultaniously only
PYTHON_DEFAULT_VERSION gets the symlink.  One might reasonably expect
(without intimate knowledge of the ports system) lang/python24 to
install a symlink to /usr/local/bin/python if no such symlink
exists...but then how do you handle when another port pulls in
lang/python25, especially when that *is* the expected and default
version?  Replacing the symlink will definitely change the expected
behavior of the system from the user's standpoint...and not replacing
the symlink causes a situation that the ports tree can't really allow
for.

We could set up the python ports to be self-documenting, perhaps by
making it explicit through output when you type make install in
lang/python2[3|4|5] that these are utility ports and will not install
a symlink at all, and that lang/python together with
PYTHON_DEFAULT_VERSION in /etc/make.conf (which defaults to 2.5) is
the way to install python and get the symlink?

Thoughts?

-- 
Thanks,

Josh Paetzel
Comment 5 Tom McLaughlin 2007-10-22 18:23:40 UTC
I spoke with Josh about this on IRC and would a patch like the attached
to python2[345] be okay?  The first python installed will install the
bin/python link now.

tom
Comment 6 dfilter service freebsd_committer 2009-07-14 10:29:23 UTC
lwhsu       2009-07-14 09:29:03 UTC

  FreeBSD ports repository

  Modified files:
    lang/python23        Makefile 
    lang/python24        Makefile 
    lang/python25        Makefile 
    lang/python26        Makefile 
    lang/python30        Makefile 
    lang/python31        Makefile 
  Log:
  - Ask the first Python installed to install the bin/python link,
    and be the default Python version
  
  PR:             ports/109550
  Submitted by:   David Yeske <dyeske AT yahoo.com>
  Obtained from:  tmclaugh
  
  Revision  Changes    Path
  1.157     +3 -2      ports/lang/python23/Makefile
  1.169     +3 -3      ports/lang/python24/Makefile
  1.157     +3 -3      ports/lang/python25/Makefile
  1.160     +3 -2      ports/lang/python26/Makefile
  1.158     +3 -3      ports/lang/python30/Makefile
  1.162     +3 -3      ports/lang/python31/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Li-Wen Hsu freebsd_committer 2009-07-14 10:29:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!